
                    PROGRAM

                    MAP
                        module('IQCQO')
                            ReturnSigningInfo(const *cstring inFilename,*cstring outputStr,*long bufferSize),long,C,raw,name('ReturnSigningInfo')
                            VerifySignature(const *cstring inFilename,*cstring outputStr,*long bufferSize),long,C,raw,name('VerifySignature')
                        end
                    END

CStrBuffer          cstring(1024)
bufferSizeNeeded    LONG
result              LONG
filename            cstring(261)

    CODE     
        !*** both functions take three parameters ***
        !*** a CSTRING loaded with the full path and filename of the file to be examined ***
        !*** a CSTRING buffer to receive the output ***
        !*** a LONG containing the SIZE of the buffer ***
        !*** The functions return zero on success ***
        !*** If the function cannot fit the output string into the buffer buffersize will hold the value required ***
        
        !*** If you just want to verify a file is signed then VerifySignature is enough ***
        !*** ReturnSigningInfo gives more details ***
        
      loop
        if not filedialog('Select File to examine',filename,'Executables etc|*.exe;*.dll;*.ocx|All File|*.*',FILE:keepdir+FILE:LongName)
            break
        end
        
        bufferSizeNeeded = size(CStrBuffer)
        result = VerifySignature(filename,CStrBuffer,bufferSizeNeeded)
        if result
            message('Error ' & CStrBuffer,filename)
        else
            message(CStrBuffer,filename)
        end    
            if CStrBuffer <> 'The file is not signed<13,10>'                
                bufferSizeNeeded = size(CStrBuffer)
                result = ReturnSigningInfo(filename,CStrBuffer,bufferSizeNeeded)
                if result
                    message('Error ' & CStrBuffer,filename)
                else
                    message(CStrBuffer,filename)
                end    
            end
     end
